Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class OriginalBusinessQuery1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.OriginalBusinessQuery1

public class OriginalBusinessQuery1 extends Object

Java class for OriginalBusinessQuery1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalBusinessQuery1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text"/>
             <element name="MsgNmId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}Max35Text" minOccurs="0"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}ISODateTime" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`creDtTm`
`protected String`
`msgId`
`protected String`
`msgNmId`

## Constructor Summary

Constructors
Constructor
Description
`OriginalBusinessQuery1()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getCreDtTm()`
Gets the value of the creDtTm property.
`String`
`getMsgId()`
Gets the value of the msgId property.
`String`
`getMsgNmId()`
Gets the value of the msgNmId property.
`void`
`setCreDtTm(XMLGregorianCalendar value)`
Sets the value of the creDtTm property.
`void`
`setMsgId(String value)`
Sets the value of the msgId property.
`void`
`setMsgNmId(String value)`
Sets the value of the msgNmId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgId

protected String msgId

### msgNmId

protected String msgNmId

### creDtTm

protected XMLGregorianCalendar creDtTm

## Constructor Details

### OriginalBusinessQuery1

public OriginalBusinessQuery1()

## Method Details

### getMsgId

public String getMsgId()
Gets the value of the msgId property.

Returns:
  possible object is `String`

### setMsgId

public void setMsgId(String value)
Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

### getMsgNmId

public String getMsgNmId()
Gets the value of the msgNmId property.

Returns:
  possible object is `String`

### setMsgNmId

public void setMsgNmId(String value)
Sets the value of the msgNmId property.

Parameters:
  `value` - allowed object is `String`

### getCreDtTm

public XMLGregorianCalendar getCreDtTm()
Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setCreDtTm

public void setCreDtTm(XMLGregorianCalendar value)
Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`